China factories

American Rustic Nordic Pendant Light Black Iron Vintage Wheels Dining Chandelier

Price: $104.00/Set Get Latest Price
  • Brand Name: JYLIGHTIING/HEKEYLT
  • Model Number: HEKEYLT-233134
  • Minimum Order Quantity: 1 Set
  • Delivery Time: 15 days after received the advance payment
  • view more

Vintage Spiral Rattan Pendant Lights Nordic Retro Bamboo Hanging Lamp(WH-WP-75)

Price: Negotiable Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-WP-75
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

House Led Lights Glass Ceiling Lamp Modern Lights Gold Rain Drop Crystal Luxury for Home Nordic Pendant Light Home Office

Price: Factory price/ Online selling price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: DY2845
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 25-30days or confirm
  • view more

Nordic Pendant Light Dining Room Bedroom Study Dining Room Coffee Bar Decoration Lamp Hanging Kitchen Lamp

Price: L1200*W400*H30mm 49USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B10069
  • Minimum Order Quantity: 10Pieces
  • Delivery Time: 7-25DAYS
  • view more

Vintage Brass Body Pendant Light with 2700K Warm White LED and 50000 Hours Lifespan for Indoor Decorative Lighting

Price: AED 4,857.64-5,231.60 Get Latest Price
  • Brand Name: Yihao
  • Model Number: Negotiable
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Nordic Retro Brass Cylinder Sconce LED Cylinder Pendant Light for Exhibition Hall or Hotel Interior Decoration Lighting

Price: 100-10000USD Get Latest Price
  • Brand Name: MOMO
  • Model Number: MMn5h
  • Minimum Order Quantity: 1
  • Delivery Time: 3 weeks
  • view more

Curved Spiral Filament Decorative LED Bulbs For Vintage Pendant Light 2200K

Price: 3 Get Latest Price
  • Brand Name: LFL
  • Model Number: LFL-RXST30-4W
  • Minimum Order Quantity: 1000
  • Delivery Time: Negotiable
  • view more

Champagne Gold LED Chandeliers Ceiling Pendant Light GU10 Luxury 60xH130mm

Price: Negotiable Get Latest Price
  • Brand Name: TOSEO
  • Model Number: TS5217
  • Minimum Order Quantity: 300
  • Delivery Time: 45
  • view more

Nordic Lotus Leaf Inspired Gold Copper Chandelier – Modern Pendant Light

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Bedside chandelier modern bedroom living room sofa background wall lamp pendant spotlight hotel villa Nordic atmosphere

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: LCT113
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 10-15days
  • view more

Interior Domestic LED Lighting Pendant Circular Panel 24w 30w 37w 48w 62w Dinning Room

Price: USD65~USD348/unit Get Latest Price
  • Brand Name: Fenigal/NA
  • Model Number: LIL-circular-01
  • Minimum Order Quantity: 1 unit
  • Delivery Time: 5-8 working days or bulk order negotiate
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Bright 240lm G125 Xmas E27 4w Led Vintage Edison Light Bulb

Price: USD3.00-USD12.00 Get Latest Price
  • Brand Name: Filamentlux
  • Model Number: VFL-165280-A
  • Minimum Order Quantity: 3000PCS
  • Delivery Time: 20-25days
  • view more

50mm Cast Iron Wheel Light Duty 360 Degree Rotating Vintage Iron Caster Wheels Low Profile

Price: Negotiable Get Latest Price
  • Brand Name: WBD
  • Model Number: I001C050CP
  • Minimum Order Quantity: Negotiable
  • Delivery Time: 7-15days
  • view more

Antique Bronze Finish Brass Lid 73x22 Dimensions High-Grade Brass Lamp Holder Cover for Lighting Fixtures

Price: Negotiation Get Latest Price
  • Brand Name: Lightwo
  • Model Number: L3-7322-0000
  • Minimum Order Quantity: 1000
  • Delivery Time: 10-15 work days
  • view more

SGS Ceiling Light Suspension Kit

Price: Negotiation Get Latest Price
  • Brand Name: W-mate
  • Model Number: WR20111301
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: 10-15Work Days
  • view more

Custom Steampunk Gear‑Style Owl Zigong Lantern, Large LED Mechanical Bird Light Sculpture for Outdoor Theme Night Festival

Price: $1680- $1980 Get Latest Price
  • Brand Name: YASHI
  • Model Number: YS-HD-403
  • Minimum Order Quantity: 1
  • Delivery Time: 15-25 days
  • view more

8 Seats Golf Cart Touring Electric Classic Sightseeing Vintage Car Lithium Battery

Price: 3200-4000USD per piece Get Latest Price
  • Brand Name: Florescence
  • Model Number: FNE
  • Minimum Order Quantity: 1
  • Delivery Time: 7-15 working days
  • view more

Natural Ruby Pendant Earrings

Price: To be discussed Get Latest Price
  • Brand Name: Elite
  • Model Number: Any size can be customized
  • Minimum Order Quantity: 1
  • Delivery Time: 3 work days
  • view more

Elite Moulding Co., Ltd

Shenzhen ,Guangdong

  • 1YRS
  • Verified Supplier

Light Weight Single Sheave Stringing Pulley Block

Price: Get Latest Price Get Latest Price
  • Brand Name: XINYA
  • Model Number: SH
  • Minimum Order Quantity: 5 pieces
  • Delivery Time: 2 days after payment
  • view more